<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use  App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;
use App\Model\Booking;
use App\Model\Invoice;
use App\Model\InvoiceExtra;
use App\Model\Setting;
use PDF;
use Mail;

class BookingController extends Controller
{
    public $title = "Booking";
    public $path = "admin.booking.";
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $title = $this->title;
        $dataArr = Booking::get();
        
        return view($this->path.'index', compact('title', 'dataArr'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Model\Skill  $projectsType
     * @return \Illuminate\Http\Response
     */
    public function show(Skill $skill)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Model\ProjectsType  $projectsType
     * @return \Illuminate\Http\Response
     */
    public function edit(Skill $skill)
    {
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Model\ProjectsType  $skill
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Skill $skill)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Model\Skill  $skill
     * @return \Illuminate\Http\Response
     */
    public function destroy(Skill $skill)
    {
        
    }

    public function changeStatus(Request $request)
    {
        
    }
    
    public function invoiceList($id) {
        $title = 'Invoice List';
        $booking = Booking::findOrFail($id);
        $invoices = Invoice::where(['booking_id' => $booking->id])->get();
        return view('admin.booking.invoice-list', compact('title', 'booking', 'invoices'));
    }
    
    public function invoiceCreate($id) {
        $booking = Booking::findOrFail($id);
        $invoice = new Invoice();
        return view('admin.booking.invoice', compact('booking', 'invoice'));
    }
    
    public function invoice($id, $invoice_id) {
        
        $booking = Booking::findOrFail($id);
        $invoice = Invoice::findOrFail($invoice_id);
        if (request()->get('pdf')) {
            $pdf = PDF::loadView('invoice-pdf', compact('booking', 'invoice'));
            return $pdf->stream('pdfview.pdf');
        }
        return view('admin.booking.invoice', compact('booking', 'invoice'));
    }
    
    public function saveInvoice(Request $request) {
        
        $invoice = Invoice::find( $request->get('id') );
        $savePdf = false;
        if (!$invoice) {
            $per_day_price = Setting::where('key', 'PER_DAY_PRICE')->value('value');
            $gst_percentage = Setting::where('key', 'GST')->value('value');
            $invoice = Invoice::create([
                'booking_id'    => $request->get('booking_id'),
                'user_id'       => auth()->user()->id,
                'per_day_price' => $per_day_price,
                'gst_percentage'=> $gst_percentage,
            ]);
            $savePdf = true;
        }
        
        $price = $request->get('day', 0) * $invoice->per_day_price;
        
        $invoice->fill([
            'description'   => $request->get('description'),
            'day'           => $request->get('day', 0),
            'price'         => $price,
        ]);

        $invoice->save();
                
        $invoiceExtras = $request->get('invoice_extra');
        $ids = [];
        if ($invoiceExtras) {
            foreach ((array)$invoiceExtras as $value){
                if (!empty($value['id'])){
                    $ids[] = $value['id'];    
                }
            }
        }
        foreach ($invoice->invoiceExtra as $row) {
            if (!in_array($row->id, $ids)){
                $row->delete();
            }
            
        }
        if ($invoiceExtras) {
            foreach ($invoiceExtras as $invoiceExtra) {
                $model = InvoiceExtra::find($invoiceExtra['id'] ?? 0);
                if (!$model) {
                    $model = new InvoiceExtra;
                }
                
                $invoiceExtra['invoice_id'] = $invoice->id;
                $model->fill($invoiceExtra);

                $model->save();
            }
        }
        
        $invoice = Invoice::findOrFail($invoice->id);
        
        $sub_total = $invoice->price;
        
        foreach($invoice->invoiceExtra as $invoiceExtra) {
            $sub_total += $invoiceExtra->price;
        }
        
        $gst = ($sub_total * $invoice->gst_percentage) / 100;
        $total =  $sub_total + $gst;
        
        $invoice->gst = $gst;
        $invoice->sub_total = $sub_total;
        $invoice->total = $total;
        $invoice->save();
        
        if ($savePdf) {
            $filename = time().'.pdf';
            if (!is_dir(public_path('invoice'))) {
                mkdir(public_path('invoice'));
            }
            
            $path = public_path('invoice');
            
            $booking = Booking::findOrFail($request->get('booking_id'));
            $pdf = PDF::loadView('invoice-pdf', compact('booking', 'invoice'));
            $pdf->save($path . '/' . $filename);
            $invoice->pdf_path = $filename;
            $invoice->save();
            
            try {
              Mail::raw('Hello,
    
Please find attached Pharmacy Recruit Invoice.

Pharmacy Recruit Team
                
                ', function ($message) use($path, $filename, $booking) {
                    if ($booking->createdBy->roles->first()->id == '2') {
                        $message->to($booking->user->email , $booking->user->username);
                    } else {
                        $message->to($booking->createdBy->email , $booking->createdBy->username);
                    }
                    $message->subject('Pharmacy Recruit Invoice');
                    $message->attach($path . '/' . $filename);
                });
            } catch(\Exception $e) {
                
            }
        }
        return $this->successJson(true);
    }
}
