<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use  App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;
use App\Model\Region;

class RegionController extends Controller
{
    public $title = "region";
    public $path = "admin.region.";
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $title = $this->title;
        $dataArr = Region::get();
        
        return view($this->path.'index', compact('title', 'dataArr'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $title = $this->title." Create";
        $model = new Region;
        $action = "add";
        return view($this->path.'create', compact('title', 'model', 'action'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $params = $request->all();

         $rules = [
            'name' => "required",
        ];

        $validator = Validator::make($params, $rules, $messages = []);

        if ($validator->fails()) {
            $messages = $validator->errors();
            $errorMsg = [];
            foreach ($messages->all() as $message) {
                $errorMsg[] = $message;
            }
            return $this->errorJson([], implode('<br/>', $errorMsg));
        }


        $model = Region::find((int)$request->get('id'));
        
        if (!$model) {
            $model = new Region;
        }

        $model->fill($params);
        $model->save();

        return $this->successJson($model);
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Model\Region  $projectsType
     * @return \Illuminate\Http\Response
     */
    public function show(Region $region)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Model\ProjectsType  $projectsType
     * @return \Illuminate\Http\Response
     */
    public function edit(Region $region)
    {
        $title = $this->title." Update";
        return view($this->path.'create', ['title' => $title, 'model' => $region, 'action' => "edit"]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Model\ProjectsType  $region
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Region $region)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Model\Region  $region
     * @return \Illuminate\Http\Response
     */
    public function destroy(Region $region)
    {
        $region->delete();
        return $this->successJson($region);
    }

    public function changeStatus(Request $request)
    {
        $params = $request->all();
        if (!isset($params['id'])) {
            return $this->errorJson('', 'something went wrong');
        }
        
        $status = $request->get('status', 1);
        if (Region::where('id', $params['id'])->update(['status'=>$status])) {
            return $this->successJson('', 'success');
        } else {
            return $this->errorJson('', 'something went wrong');
        }
    }
}
