<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public function successJson($data = '', $message = 'Saved successfully')
    {
        return response()->json(['code' => 0, 'msg' => $message, 'data' => $data]);
    }

    public function errorJson($data = '', $message = '', $code = -1)
    {
        return response()->json(['code' => $code, 'msg' => $message, 'data' => $data]);
    }
}
