<?php

namespace App\Http\Controllers\Front;

use Illuminate\Http\Request;
use  App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Hash;
use App\Model\Region;
use App\Model\AvailabilityOrVacancy;
use App\User;

class AvailabilityOrVacancyController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //$this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function create($id = null)
    {
        $region = [];
        if (auth()->user()->roles->first()->id == '2') {
            $region = auth()->user()->pharmacistRegion;
        }

        $availabilityOrVacancy = AvailabilityOrVacancy::find((int)$id);
        if (!$availabilityOrVacancy) {
            $availabilityOrVacancy = new AvailabilityOrVacancy;
        }

        return view('front.availability-or-vacancy.create', compact('region', 'availabilityOrVacancy'));
    }

    public function store(Request $request)
    {
        $params = $request->all();
        
        $availabilityOrVacancy = AvailabilityOrVacancy::find((int)$request->get('id'));
        
        if (!$availabilityOrVacancy) {
            $availabilityOrVacancy = new AvailabilityOrVacancy;
        }

        if (!empty($params['recurring_from'])) {
            $params['recurring_from'] = date("Y-m-d", strtotime($params['recurring_from']));
        }

        if (!empty($params['recurring_until'])) {
            $params['recurring_until'] = date("Y-m-d", strtotime($params['recurring_until']));
        }
        if (!empty($params['date']) && is_array($params['date'])) {
            foreach ($params['date'] as $date) {
                $param = $params;
                $param['date'] = $date;
                $availabilityOrVacancy = new AvailabilityOrVacancy;
                $availabilityOrVacancy->fill($param);
                $availabilityOrVacancy->save();
            }
        } else {
            $availabilityOrVacancy->fill($params);
            $availabilityOrVacancy->save();
        }

        return $this->successJson($availabilityOrVacancy);
    }
}
