<?php

namespace App\Http\Controllers\Front;

use Illuminate\Http\Request;
use  App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Hash;
use App\Model\Pharmacy;
use App\Model\Region;
use App\User;

class PharmacyLocationController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //$this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function switchbaord()
    {
        $pharmacyLocation = auth()->user()->pharmacyByUserId;
        return view('front.pharmacy-location.switchbaord', compact('pharmacyLocation'));
    }

    public function addLocation()
    {   
        $region = Region::where('status', 1)->get();
        return view('front.pharmacy-location.create', compact('region'));
    }

    public function storeLocation(Request $request)
    {
        $params = $request->all();
        
        $pharmacyLocation = Pharmacy::find((int)$request->get('id'));
        
        if (!$pharmacyLocation) {
            $pharmacyLocation = new Pharmacy;
        }

        if($request->hasFile('uploads_license')) {
            $file = $request->file('uploads_license');
            $ext = $file->getClientOriginalExtension();
            $directory = '/uploads/pharmacy/uploads_license';
            
            $name = $file->getClientOriginalName();
            $file->move(public_path().$directory, $name);

            $params['uploads_license'] = $name;
        }

        if($request->hasFile('uploads_shop_photo')) {
            $file = $request->file('uploads_shop_photo');
            $ext = $file->getClientOriginalExtension();
            $directory = '/uploads/pharmacy/uploads_shop_photo';
            
            $name = $file->getClientOriginalName();
            $file->move(public_path().$directory, $name);

            $params['uploads_shop_photo'] = $name;
        }
        
        $pharmacyLocation->fill($params);
        $pharmacyLocation->save();

        return $this->successJson($pharmacyLocation);
    }

    public function changeLocation(Request $request) {
        $user = auth()->user();
        $user->pharmacy_id = $request->get('pharmacy_id');
        $user->save();
        auth()->setUser($user);
        return $this->successJson($user);
    }
}
