<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;
class Booking extends Model
{

	public $table = "bookings";

    protected $fillable = [
        'user_id',
        'created_by',
        'pharmacy_id',
        'is_invite',
        'date',
        'notes',
        'status',
    ];
    
    protected $casts = [
        'date' => 'array',
    ];
    
    public function user() {
        return $this->hasOne('App\User', 'id', 'user_id')->withDefault();
    }

    public function createdBy() {
        return $this->hasOne('App\User', 'id', 'created_by')->withDefault();
    }

    public function pharmacy() {
        return $this->hasOne('App\Model\Pharmacy', 'id', 'pharmacy_id')->withDefault();
    }
}
