<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePharmacistTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pharmacist', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->string("known_as")->nullable();
            $table->string("location")->nullable();
            $table->string("bank_account")->nullable();
            $table->tinyInteger("is_pharmacist")->default(0);
            $table->tinyInteger("is_technician")->default(0);
            $table->text("availability_notes")->nullable();
            $table->string("photo")->nullable();
            $table->string("annual_practicing_certificate")->nullable();
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pharmacist');
    }
}
