<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePharmacyTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pharmacy', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->string("address")->nullable();
            $table->integer('region_id')->nullable()->default(0);
            $table->string("pharmacy_name")->nullable();
            $table->string("owner_name")->nullable();
            $table->string("email")->nullable();
            $table->string("contact_phone")->nullable();
            $table->string("uploads_license")->nullable();
            $table->string("uploads_shop_photo")->nullable();
            $table->softDeletes();
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pharmacy');
    }
}
