<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAvailabilityOrVacancyTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('availability_or_vacancy', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->integer('region_id')->nullable()->default(0);
            $table->integer('pharmacy_id')->nullable()->default(0);
            $table->tinyInteger("recurring")->nullable()->default(0);
            $table->string("recurring_day_of_week")->nullable();
            $table->date("recurring_from")->nullable();
            $table->date("recurring_until")->nullable();
            $table->date("date")->nullable();
            $table->text("notes")->nullable();
            $table->softDeletes();
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('availability_or_vacancy');
    }
}
