@extends('admin.layouts.app')

@section('title', $title)

@section('content')
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{$title}}</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Home</a></li>
              <li class="breadcrumb-item active">{{$title}}</li>
            </ol>
          </div>
        </div>
      </div>
    </section>
    <!-- Main content -->
    <section class="content">

      <!-- Default box -->
      <div class="card">
        <div class="card-header">
          <h3 class="card-title">{{$title}}</h3>

          <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
              <i class="fas fa-minus"></i>
            </button>
          </div>
        </div>
        <div class="card-body">
            <form id="quickForm">
                @csrf
                <input type="hidden" name="action" value="{{$action}}">
                <input type="hidden" name="id" value="{{$model->id}}">
                <div class="card-body">
                  <div class="form-group">
                    <label for="question">Question</label>
                    <textarea id="question" name="question" >{!! $model->question !!}</textarea>
                  </div>
                  <div class="form-group">
                    <label for="answer">Answer</label>
                    <textarea id="answer" name="answer" >{!! $model->answer !!}</textarea>
                  </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                  <a href="{{route('admin.faq.index')}}" class="btn btn-info">Cancel</a>
                </div>
              </form>
        </div>
      </div>
    </section>
@endsection

@section('script')
<script src="{{ asset('admin/plugins/jquery-validation/jquery.validate.min.js') }}"></script>
<script src="//cdn.ckeditor.com/4.19.0/full/ckeditor.js"></script>
<script type="text/javascript">
    var question =  CKEDITOR.replace('question', {
    });
    var answer =  CKEDITOR.replace('answer', {
    });
    $.validator.setDefaults({
    submitHandler: function () {
        showLoader();
        $("#question").val(question.getData());
        $("#answer").val(answer.getData());
        var formData = new FormData($("#quickForm")[0]);
        $.ajax({
            type: "POST",
            url: "{{ route('admin.faq.store')}}",
            data: formData,
            processData: false,
            contentType: false,
            success: function( res ) {
                if (res.code == 200 || res.code == 0) {
                    msg = res.msg;
                    showToaster("success", msg);
                    setTimeout( function(){ 
                        redirectUrl = "{{ route('admin.faq.index') }}";
                        window.location.href = redirectUrl;
                    }  , 1000 );
                    
                } else {
                    showToaster("error", res.msg);
                }
                hideLoader();
            }
        });
    }
  });
  
  $('#quickForm').validate();
</script>
@endsection
