@extends('admin.layouts.app')

@section('title', $title)

@section('content')
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{$title}}</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Home</a></li>
              <li class="breadcrumb-item active">{{$title}}</li>
            </ol>
          </div>
        </div>
      </div>
    </section>
    <!-- Main content -->
    <section class="content">

      <!-- Default box -->
      <div class="card">
        <div class="card-header">
          <h3 class="card-title">{{$title}}</h3>

          <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
              <i class="fas fa-minus"></i>
            </button>
          </div>
        </div>
        <div class="card-body">
            <form id="quickForm" method="post">
          @csrf
          <input type="hidden" name="action" value="update">
          <input type="hidden" name="id" value="{{$user->id}}">
          <div class="form-group">
              <label>Name</label>
             <input type="text" class="form-control" required name="firstname" value="{{$user->firstname}}"  placeholder="Name">
          </div>
          <div class="form-group">
              <label>Surname</label>
             <input type="text" class="form-control" required name="lastname" value="{{$user->lastname}}" placeholder="Surname">
          </div>
          <div class="form-group">
              <label>Preferred Name</label>
             <input type="text" class="form-control" required placeholder="Preferred Name"  name="known_as" value="{{$user->pharmacist->known_as}}">
          </div>
          <div class="form-group">
              <label>Email</label>
             <input type="text" class="form-control" required placeholder="Email" name="email" value="{{$user->email}}">
          </div>
          <div class="form-group">
                <div class="custom-control custom-checkbox">
                    <input class="custom-control-input" type="radio" id="is_pharmacist" name="is_pharmacist" value="1" {{$user->pharmacist->is_pharmacist == 1 ? 'checked' : ''}}>
                    <label for="is_pharmacist" class="custom-control-label">Pharmacist</label>
                </div>
                <div class="custom-control custom-checkbox">
                    <input class="custom-control-input" type="radio" id="is_technician" name="is_pharmacist" value="2" {{$user->pharmacist->is_pharmacist == 2 ? 'checked' : ''}}>
                    <label for="is_technician" class="custom-control-label">Technician</label>
                </div>
          </div>
          <div class="form-group skill_id_main" style="{{$user->pharmacist->is_pharmacist == 1 ? '' : 'display:none;'}}">
             <label>Accreditations</label>
            <select class="select2 form-control"  name="skill_id[]" multiple data-placeholder="Accreditations">
               @php
                $pharmacistSkill = $user->pharmacistSkill()->pluck('skill_id')->toArray();
               @endphp
               @foreach($skill as $value)
                <option value="{{$value->id}}" {{in_array($value->id, $pharmacistSkill) ? 'selected' : ''}}>{{$value->name}}</option>
               @endforeach
            </select>
          </div>
          <div class="form-group levels_main" style="{{$user->pharmacist->is_pharmacist  == 2 ? '' : 'display:none;'}}">
             <label>Qualification</label>
            <select class="select2 form-control" name="levels" data-placeholder="Qualification">
              <option value="">Select Qualification</option>
              @foreach(App\Model\Level::where('status', 1)->get() as $level)
                 <option value="{{$level->id}}" {{$user->pharmacist->levels == $level->id ? 'selected' : ''}}>{{$level->name}}</option>
              @endforeach
            </select>
          </div>
          <div class="form-group">
              <label>Select Areas for work</label>
              <select class="select2 form-control" id="region_id" name="region_id[]" multiple data-placeholder="Select Areas for work">
               @php
                $pharmacistRegion = $user->pharmacistRegion()->pluck('region_id')->toArray();
               @endphp
               @foreach($region as $value)
                <option value="{{$value->id}}" {{in_array($value->id, $pharmacistRegion) ? 'selected' : ''}}>{{$value->name}}</option>
               @endforeach
            </select>
          </div>
          <div id="pharmacist_region">
          @foreach($user->PharmacistRegion as $region)
                <label>{{$region->region->name}}</label> <br>
              <div class="row">

                 <div class="col-sm-12 col-md-12 col-lg-4">
                    <select class="select2 form-control" id="accommodation_id_{{$region->region_id}}" name="pharmacist_region[{{$region->region_id}}][accommodation_id][]" multiple data-placeholder="Accommodation" required>
                    @foreach(App\Model\PharmacistRegion::$accommodation as $id => $option)
                       <option value="{{$id}}" {{in_array($id, (array)$region->accommodation_id) ? 'selected' : ''}}>{{$option}}</option>
                    @endforeach
                   </select>
                 </div>
                 <div class="col-sm-12 col-md-12 col-lg-4">
                    <select class="select2 form-control" id="travel_costs_id{{$region->region_id}}" name="pharmacist_region[{{$region->region_id}}][travel_costs_id][]" multiple data-placeholder="Travel Costs" required>
                    @foreach(App\Model\PharmacistRegion::$travel_costs as $id => $option)
                      <option value="{{$id}}" {{in_array($id, (array)$region->travel_costs_id) ? 'selected' : ''}}>{{$option}}</option>
                    @endforeach
                   </select>
                 </div>
                  <div class="col-sm-12 col-md-12 col-lg-4">
                    <input type="number" class="form-control" min="25" max="120" value="{{$region->rate_expectation}}"   placeholder="Rate expectation ($)" id="rate_expectation{{$region->region_id}}" name="pharmacist_region[{{$region->region_id}}][rate_expectation]" required>
                 </div>
              </div>
            @endforeach
        </div>
          <div class="form-group">
             <label>Availability Notes</label>
             <textarea class="form-control" name="availability_notes">{{$user->pharmacist->availability_notes}}</textarea>
          </div>
          <div class="form-group ch">
             <h3>Uploads</h3>

            <div class="row">
                <div class="col-sm-12 col-md-6 col-lg-6">
                    <label class="upload-file"  style="padding-top: 0px;">Profile Photo </label>
                    <input type="file" name="photo" class="form-control">
                    @if (!empty($user->pharmacist->photo))
                        <br>
                        {!! fileShow('/uploads/pharmacies/photo/', $user->pharmacist->photo, '150px') !!}
                    @endif
                </div>
                <div class="col-sm-12 col-md-6 col-lg-6 annual_practicing_certificate" style="padding-top: 0px; {{$user->pharmacist->is_pharmacist == 2 ? 'display:none;' : ''}}" >
                    <label class="upload-file">Annual Practicing Certificate</label>
                    <input type="file" name="annual_practicing_certificate" class="form-control">
                    @if (!empty($user->pharmacist->annual_practicing_certificate))
                        <br>
                        {!! fileShow('/uploads/pharmacies/annual_practicing_certificate/', $user->pharmacist->annual_practicing_certificate, '150px') !!}
                    @endif
                </div>
            </div>
          </div>
          <div class="card-footer">
              <button type="submit" class="btn btn-primary">Submit</button>
              <a href="{{route('admin.pharmacist.index')}}" class="btn btn-info">Cancel</a>
            </div>
       </form>
        </div>
      </div>
    </section>
@endsection

@section('script')
<script src="{{ asset('admin/plugins/jquery-validation/jquery.validate.min.js') }}"></script>
<script type="text/javascript">

  $('#quickForm').submit(function(e) {
    e.preventDefault();
    showLoader();
    var formData = new FormData($("#quickForm")[0]);
    $.ajax({
        type: "POST",
        url: "{{ route('admin.pharmacist.store') }}",
        data: formData,
        processData: false,
        contentType: false,
        success: function( res ) {
            if (res.code == 200 || res.code == 0) {
                msg = res.msg;
                showToaster("success", msg);
                setTimeout( function(){
                    redirectUrl = "{{ route('admin.pharmacist.index') }}";
                    window.location.href = redirectUrl;
                }  , 1000 );

            } else {
                showToaster("error", res.msg);
            }
            hideLoader();
        }
    });
  });
  $('input[type=radio][name=is_pharmacist]').change(function() {
        if (this.value == '1') {
            $('.annual_practicing_certificate').show();
            $('.skill_id_main').show();
            $('.levels_main').hide();
        }
        else if (this.value == '2') {
            $('.skill_id_main').hide();
            $('.annual_practicing_certificate').hide();
            $('.levels_main').show();
        }
    });

    $("#region_id").change(function(){
      var html = "";
      $("#region_id").find("option:selected").each(function(){
           html += '   <label>'+$(this).html()+'</label> <br>';
          html += '<div class="row">';
          html += '   <div class="col-sm-12 col-md-12 col-lg-4">';
          html += '      <select class="select2 form-control" id="accommodation_id_'+$(this).val()+'" name="pharmacist_region['+$(this).val()+'][accommodation_id][]" multiple data-placeholder="Accommodation" required>';
          var selected = $("#accommodation_id_"+$(this).val()).val();
          @foreach(App\Model\PharmacistRegion::$accommodation as $id => $option)
              html += '          <option value="{{$id}}" '+(selected == '{{$id}}' ? 'selected' : '')+'>{{$option}}</option>';
          @endforeach
          html += '     </select>';
          html += '   </div>';
          html += '   <div class="col-sm-12 col-md-12 col-lg-4">';
          html += '      <select class="select2 form-control" id="travel_costs_id'+$(this).val()+'" name="pharmacist_region['+$(this).val()+'][travel_costs_id][]" multiple data-placeholder="Travel Costs" required>';
          var selected = $("#travel_costs_id"+$(this).val()).val();
          @foreach(App\Model\PharmacistRegion::$travel_costs as $id => $option)
              html += '          <option value="{{$id}}" '+(selected == '{{$id}}' ? 'selected' : '')+'>{{$option}}</option>';
          @endforeach
          html += '     </select>';
          html += '   </div>';
           html += '   <div class="col-sm-12 col-md-12 col-lg-4">';
          var selected = $("#rate_expectation"+$(this).val()).val();
          html += '      <input type="number" class="form-control" value="'+(selected ?? '')+'" min="25" max="120" placeholder="Rate expectation ($)" id="rate_expectation'+$(this).val()+'" name="pharmacist_region['+$(this).val()+'][rate_expectation]" required>';
          html += '   </div>'
          html += '</div>';
      });

      $("#pharmacist_region").html(html);
      $(".select2").select2({
          'width' : '100%'
      });
    })


</script>
@endsection
