@extends('front.layouts.app')

@section('title') Welcome to  @endsection
@section('head')
<style type="text/css">
    .error {
      color: red;
    }
</style>
@endsection
@section('content')
    <div class="deshbord">
        <div class="signup-form">
            <div class="logo"><img src="{{ asset('front/images/Original on Transparent.png')}}"></div>
            <h1>Register</h1>
            <form action="{{ route('register') }}" method="POST"  onsubmit="return checkValidtion()">
                @csrf
                <div class="form-group">
                    <input id="username" type="text" placeholder="User Name" name="username" value="{{ old('username') }}" required autofocus>
                    @error('username')
                        <span class="error invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="form-group">
                    <input id="email" type="text" placeholder="Email" name="email" value="{{ old('email') }}" required autofocus>
                    @error('email')
                        <span class="error invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="form-group">
                    <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" placeholder="Password" required autocomplete="current-password" title="Must be minimum 8 characters">
                    @error('password')
                        <span class="error invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="form-group">
                    <input id="password-confirm" type="password" class="form-control @error('password_confirmation') is-invalid @enderror" name="password_confirmation" placeholder="Re-type Password" required autocomplete="new-password">
                    @error('password_confirmation')
                        <span class="error invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="form-group">
                  <div class="select-wrapper regi">
                    <select class="short-by" name="role_name">
                        <option value="pharmacies" {{ old('role_name') == 'pharmacies' ? 'selected' : ''}}>Pharmacist OR Technician</option>
                        <option value="pharmacy" {{ old('role_name') == 'pharmacy' ? 'selected' : ''}}>Pharmacy</option>
                    </select>
                  </div>
                </div>
                <div class="form-group"><input type="submit" value="Create Login" class="blue-btn"></div>
            </form>
        </div>
    </div>
@endsection


@section('script')
<script>
    function checkValidtion(){
        $('.error').remove();
        var username = $('#username').val()
        if (username && /^[a-z_]+$/.test(username) === false) {
             $('#username').after('<span class="error invalid-feedback" role="alert"> <strong>You can only use lowercase letters without spaces for your Username.</strong></span>');
            return false;
        }
        return true;
    }
    $('#username').blur(function(){
      checkValidtion()
    });

    $('#username').keypress(function(){
      checkValidtion()
    });
</script>
@endsection
