<html>

<head>
<!-- CSS only -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" >
</head>

<body>
    <div class="card">
        <div class="card-body">
          <div class="container mb-5 mt-3">
            <div class="row d-flex align-items-baseline d-print-none">
              <div class="col-xl-9">
                <p style="color: #7e8d9f;font-size: 20px;">Invoice >> <strong>ID: #{{$invoice->id}}</strong></p>
              </div>
              <div class="col-xl-3 float-end">
                <a class="btn btn-light text-capitalize border-0" data-mdb-ripple-color="dark" onclick="window.print()"><i
                    class="fas fa-print text-primary"></i> Print</a>
              </div>
              <hr>
            </div>
      
            <div class="container">
              <div class="col-md-12">
                <div class="text-center">
                  <i class="fab fa-mdb fa-4x ms-0" style="color:#5d9fc5 ;"></i>
                  <p class="pt-0">
                    <img src="{{ asset('front/images/Original on Transparent.png')}}" width="100px" />
                  </p>
                </div>
      
              </div>
      
      
              <div class="row">
                <div class="col-8">
                  <ul class="list-unstyled">
                    <li class="text-muted">To: <span style="color:#5d9fc5 ;">
                     @if ($booking->createdBy->roles->first()->id == '2') 
                        {{$booking->user->name ?? ($booking->user->firstname.' '. $booking->user->lastname)}}
                    @else 
                        {{$booking->createdBy->name ?? ($booking->createdBy->firstname.' '. $booking->createdBy->lastname)}}
                    @endif
                    </span></li>
                  </ul>
                </div>
                <div class="col-4">
                  <p class="text-muted">Invoice</p>
                  <ul class="list-unstyled">
                    <li class="text-muted"><i class="fas fa-circle" style="color:#84B0CA ;"></i> <span
                        class="fw-bold">ID:</span>#{{$invoice->id}}</li>
                    <li class="text-muted"><i class="fas fa-circle" style="color:#84B0CA ;"></i> <span
                        class="fw-bold">Creation Date: </span>{{date("d-M-Y", strtotime($invoice->created_at))}}</li>
                  </ul>
                </div>
              </div>
      
              <div class="my-2 mx-1 justify-content-center">
                <table class="table table-striped table-borderless">
                  <thead style="background-color:#303383 ;" class="text-white">
                    <tr>
                      <th scope="col">#</th>
                      <th scope="col">Description</th>
                      <th scope="col">Days</th>
                      <th scope="col">Unit Price</th>
                      <th scope="col">Amount</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <th scope="row">1</th>
                      <td>{{$invoice->description}}</td>
                      <td>{{$invoice->day}}</td>
                      <td>${{$invoice->per_day_price}}</td>
                      <td>${{$invoice->price}}</td>
                    </tr>
                    @php
                    $i = 2;
                    @endphp
                    @foreach($invoice->invoiceExtra as $invoiceExtra)
                        <tr>
                          <th scope="row">{{$i}}</th>
                          <td>{{$invoiceExtra->description}}</td>
                          <td>-</td>
                          <td>-</td>
                          <td>${{$invoiceExtra->price}}</td>
                        </tr>
                        @php
                            $i++;
                        @endphp
                    @endforeach
                  </tbody>
      
                </table>
              </div>
              <div class="row">
                <div class="col-9">
                </div>
                <div class="col-3">
                  <ul class="list-unstyled">
                    <li class="text-muted ms-3"><span class="text-black me-4">SubTotal</span>${{$invoice->sub_total}}</li>
                    <li class="text-muted ms-3 mt-2"><span class="text-black me-4">Tax({{$invoice->gst_percentage}}%)</span>${{$invoice->gst}}</li>
                  </ul>
                  <p class="text-black float-start"><span class="text-black me-3"> Total Amount</span><span
                      style="font-size: 25px;">${{$invoice->total}}</span></p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
</body>
<footer>

</footer>

</html>