@extends('front.layouts.app')

@section('title') Welcome to  @endsection
@section('head')
@endsection
@section('content')
<div class="signup-form" style="margin-top:0; padding-bottom:0;">
    <div class="form-group">
        <h1>Payment</h1>
    </div>
    <form id="quickForm" method="post">
        <h3>Credit or debit card</h3>
        <input type="hidden" name="booking_id" value="{{$booking->id}}">
        <input type="hidden" name="amount" id="{{$amount}}">
        <div class="form-group">
            <div id="card-element"></div>
        </div>
        <div class="form-group">
            <div id="card-errors" role="alert"></div>
        </div>
        <div class="form-group"><input type="submit" value="Submit Payment" class="add-btn sv-btn"></div>
    </form>
    <div class="btm-iconbar">
        @include('front.pharmacy-menu')
    </div>
</div>
@endsection
@section('script')
<script src="https://js.stripe.com/v3/"></script>
<script type="text/javascript">
    function strip_payment(clientSecret, learnerName, userId) {
        var stripe = Stripe('pk_live_51Hfa5JLFrMsN75L2OGhU6ysAc5N1LLwgqhamvG6SL1lc4VA80x4DozqsvFQkaqpSpDODRHGAJFs7Jn6RyuIQP6Di007boJWyDa');
        var elements = stripe.elements();
        var style = {
          base: {
            color: '#32325d',
            fontFamily: '"Helvetica Neue", Helvetica, sans-serif',
            fontSmoothing: 'antialiased',
            fontSize: '16px',
            '::placeholder': {
              color: '#aab7c4'
            }
          },
          invalid: {
            color: '#fa755a',
            iconColor: '#fa755a'
          }
        };
        
        // Create an instance of the card Element.
        var card = elements.create('card', {style: style});

        // Add an instance of the card Element into the `card-element` <div>.
        card.mount('#card-element');

        // Handle real-time validation errors from the card Element.
        card.on('change', function(event) {
            var displayError = document.getElementById('card-errors');
            if (event.error) {
                displayError.textContent = event.error.message;
            } else {
                displayError.textContent = '';
            }
        });
        
        
        var form = document.getElementById('quickForm');

        form.addEventListener('submit', function(ev) {
            ev.preventDefault();
            stripe.confirmCardPayment(clientSecret, {
                payment_method: {
                    card: card,
                    billing_details: {
                        name: learnerName
                    }
                }
            }).then(function(result) {
                if (result.error) {
                    console.log(result.error.message);
                } else {
                    if (result.paymentIntent.status === 'succeeded') {
                        $.ajax({
                            type: "POST",
                            url: "{{ route('payment-succeeded') }}?booking_id="+userId,
                            data: JSON.stringify(result.paymentIntent),
                            headers: {
                                'X-CSRF-TOKEN': "{{ csrf_token() }}"
                            },
                            processData: false,
                            contentType: "application/json",
                            dataType : "json",
                            success: function( res ) {
                                if (res.code == 200 || res.code == 0) {
                                    msg = res.msg;
                                    showToaster("success", msg);
                                    window.location.href = res.data;
                                } else {
                                    showToaster("error", res.msg);
                                }
                                hideLoader();
                            }
                        });
                    }
                }
            });
        });
    }
    
    strip_payment("{{$intent->client_secret}}", '{{ ucfirst(auth()->user()->name) }}', '{{ $booking->id }}');
</script>
@endsection
