@extends('front.layouts.app')

@section('title') Welcome to  @endsection
@section('head')
@endsection
@section('content')
<div class="booking-de">
    <div class="signup-form">
        <div class="form-group">
            <h1>Booking<br>Detail</h1>
        </div>
        <form action="#" method="post">
            <div class="form-group">
                <div class="responsive-calendar">
                    <div class="controls">
                        <h4><span data-head-month></span> <span data-head-year></span></h4>
                        <a class="pull-right" data-go="next">
                            <div class="btn btn-primary" style="background: none;"><i class="fa fa-angle-right"></i></div>
                        </a>
                        <a class="pull-right" data-go="prev">
                            <div class="btn btn-primary" style="background: none;"><i class="fa fa-angle-left"></i></div>
                        </a>
                    </div>
                    <div class="day-headers">
                        <div class="day header">Mo</div>
                        <div class="day header">Tu</div>
                        <div class="day header">W</div>
                        <div class="day header">Th</div>
                        <div class="day header">F</div>
                        <div class="day header">Sa</div>
                        <div class="day header">Su</div>
                    </div>
                    <div class="days" data-group="days">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <ul class="inq-list">
                    <li>
                        @if ($booking->status == 0)
                            Requested
                        @elseif ($booking->status == 1)
                            Accepted
                        @else
                            Declined
                        @endif
                    </li>
                    <li>{{$booking->pharmacy->pharmacy_name}}</li>
                    <li>{{$booking->pharmacy->owner_name}}</li>
                    <li>{{$booking->pharmacy->address}}</li>
                    <li>{{$booking->notes}}</li>
                </ul>
            </div>
            <div class="form-group blue-sl">
                <div class="owl-carousel owl-theme">
                    <div class="item">
                        {!! fileShow('/uploads/pharmacy/uploads_license/', $booking->pharmacy->uploads_license) !!}
                    </div>
                    <div class="item">  
                        {!! fileShow('/uploads/pharmacy/uploads_shop_photo/', $booking->pharmacy->uploads_shop_photo) !!}
                    </div>
                </div>
            </div>
        </form>
        <div class="btm-iconbar">
            @include('front.pharmacist-menu')
        </div>
    </div>
</div>
@endsection
@section('script')
<script type="text/javascript">
    $(".responsive-calendar").responsiveCalendar({
        events: {
            @foreach($booking->date as $date)
                "{{$date}}" : {'class' : "date-green" },
            @endforeach
        }
    });

    $(document).ready(function() {
      $('.owl-carousel').owlCarousel({
        loop: true,
         items:1,
         nav:true,
        margin:0,
        responsiveClass: true,
      })
    })
</script>
@endsection
