@extends('front.layouts.app')

@section('title') Welcome to  @endsection
@section('head')
<style>
    .days .date-red{
        background-color: red  !important;
    }

    .days .date-green{
        background-color: green !important;
    }

    .days .date-orange{
        background-color: orange !important;
    }
</style>
@endsection
@section('content')
<div class="signup-form" style="padding-bottom:0px; margin-bottom:0px;">
    <div class="form-group">
        <h1>My Bookings</h1>
    </div>
    <div class="form-group">
        <div class="select-wrapper st">
            <select class="short-by switch-pharmacy-location" name="switch_pharmacy_location">
                @foreach($pharmacyLocation as $pl)
                <option value="{{$pl->id}}" {{$pl->id == auth()->user()->pharmacy_id ? 'selected' : ''}}>{{$pl->pharmacy_name}}</option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="form-group th">
        <div class="responsive-calendar sp">
            <div class="controls">
                <h4><span data-head-month></span> <span data-head-year></span></h4>
                <a class="pull-right" data-go="next">
                    <div class="btn btn-primary" style="background: none;"><i class="fa fa-angle-right"></i></div>
                </a>
                <a class="pull-right" data-go="prev">
                    <div class="btn btn-primary" style="background: none;"><i class="fa fa-angle-left"></i></div>
                </a>
            </div>
            <div class="day-headers">
                <div class="day header">Mo</div>
                <div class="day header">Tu</div>
                <div class="day header">W</div>
                <div class="day header">Th</div>
                <div class="day header">F</div>
                <div class="day header">Sa</div>
                <div class="day header">Su</div>
            </div>
            <div class="days" data-group="days">
            </div>
        </div>
    </div>
    <div class="form-group">
        <h3>Bookings</h3>
        <ul class="job-list">
            @foreach($bookings as $booking)
                 @if ($booking->is_invite == 0) 
                    <li>
                        <span>
                            @if ($booking->created_by == auth()->user()->id) 
                                {{$booking->user->name ?? ($booking->user->firstname.' '. $booking->user->lastname)}},<br>
                                @php
                                $dates = [];
                                foreach($booking->date as $k => $v) {
                                    $dates[$k] = date("d-m-Y", strtotime($v));
                                }
                                @endphp
                                {!! implode("<br>", $dates) !!}
                            @else 
                                {{$booking->createdBy->name ?? ($booking->createdBy->firstname.' '. $booking->createdBy->lastname)}},<br>
                                {{$booking->createdBy->pharmacist->known_as}},<br>
                                @php
                                $dates = [];
                                foreach($booking->date as $k => $v) {
                                    $dates[$k] = date("d-m-Y", strtotime($v));
                                }
                                @endphp
                                {!! implode("<br>", $dates) !!}
                            @endif
                        </span>
                        <a href="{{route('booking.show', $booking->id)}}" class="add-btn fr">View</a>
                    </li>
                @endif
            @endforeach
        </ul>
        
        <h3>Invitations</h3>
        <ul class="job-list">
            @foreach($bookings as $booking)
               @if ($booking->is_invite == 1) 
                    <li>
                        <span>
                            @if ($booking->created_by == auth()->user()->id) 
                                {{$booking->user->name ?? ($booking->user->firstname.' '. $booking->user->lastname)}},<br>
                                @php
                                $dates = [];
                                foreach($booking->date as $k => $v) {
                                    $dates[$k] = date("d-m-Y", strtotime($v));
                                }
                                @endphp
                                {!! implode("<br>", $dates) !!}
                            @else 
                                {{$booking->createdBy->name ?? ($booking->createdBy->firstname.' '. $booking->createdBy->lastname)}},<br>
                                @php
                                $dates = [];
                                foreach($booking->date as $k => $v) {
                                    $dates[$k] = date("d-m-Y", strtotime($v));
                                }
                                @endphp
                                {!! implode("<br>", $dates) !!}
                            @endif
                        </span>
                        <a href="{{route('booking.show', $booking->id)}}" class="add-btn fr">View</a>
                    </li>
                 @endif
            @endforeach
        </ul>
        {{ $bookings->links() }}
    </div>
    <div class="btm-iconbar">
        @include('front.pharmacy-menu')
    </div>
</div>
@endsection
@section('script')
<script type="text/javascript">
    $(".responsive-calendar").responsiveCalendar({
        events: {
            @foreach($bookings as $booking)
                @if($booking->status == 1)
                     @foreach($booking->date as $date)
                        "{{$date}}" : {"url" : "{{route('booking.show', $booking->id)}}" , 'class' : "date-green", 'title' : "{{$booking->createdBy->pharmacist->is_pharmacist ? ($booking->createdBy->pharmacist->is_pharmacist == 2 ? 'Technician' : 'Pharmacist') : ''}}" },
                    @endforeach
                @elseif($booking->status == 2)
                    @foreach($booking->date as $date)
                    "{{$date}}" : {"url" : "{{route('booking.show', $booking->id)}}" , 'class' : "date-red", 'title' : "{{$booking->createdBy->pharmacist->is_pharmacist ? ($booking->createdBy->pharmacist->is_pharmacist == 2 ? 'Technician' : 'Pharmacist') : ''}}" },
                    @endforeach
                @else
                    @foreach($booking->date as $date)
                    "{{$date}}" : {"url" : "{{route('booking.show', $booking->id)}}" , 'class' : "date-orange", 'title' : "{{$booking->createdBy->pharmacist->is_pharmacist ? ($booking->createdBy->pharmacist->is_pharmacist == 2 ? 'Technician' : 'Pharmacist') : ''}}" },
                    @endforeach
                @endif
            @endforeach
        }
    });

    $(".switch-pharmacy-location").change(function(){
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': '{{csrf_token()}}'
            }
        });
        $.ajax({
            type: "POST",
            url: "{{ route('pharmacy.change-location') }}?pharmacy_id="+$(this).val(),
            processData: false,
            contentType: false,
            success: function( res ) {
                if (res.code == 200 || res.code == 0) {
                    msg = res.msg;
                    showToaster("success", msg);
                    setTimeout( function(){ 
                        window.location.reload()
                    }  , 1000 );
                    
                } else {
                    showToaster("error", res.msg);
                }
                hideLoader();
            }
        });
    });
</script>
@endsection
