@extends('front.layouts.app')

@section('title') Welcome to  @endsection
@section('head')
@endsection
@section('content')
<div class="signup-form" style="margin-top:0; padding-bottom:0;">
    <div class="form-group">
        <h1>Request from {{$booking->createdBy->pharmacist->is_pharmacist ? ($booking->createdBy->pharmacist->is_pharmacist == 2 ? 'Technician' : 'Pharmacist') : ''}}</h1>
    </div>
    <form action="#" method="post">
        <div class="form-group req">
            <div class="text-center">
                <div class="pro-pic">
                    {!! fileShow('/uploads/pharmacies/photo/', $booking->createdBy->pharmacist->photo) !!}
                </div>
            </div>
            <div class="fl"><span>Name: {{$booking->createdBy->firstname}} {{$booking->createdBy->lastname}}</span><span>Preferred Name: {{$booking->createdBy->pharmacist->known_as}}</span><span>Email: {{$booking->createdBy->email}}</span></div>
            <div class="divider"></div>
        </div>
        <div class="form-group">
            <h3>Required Dates</h3>
            <div class="responsive-calendar">
                <div class="controls">
                    <h4><span data-head-month></span> <span data-head-year></span></h4>
                    <a class="pull-right" data-go="next">
                        <div class="btn btn-primary" style="background: none;"><i class="fa fa-angle-right"></i></div>
                    </a>
                    <a class="pull-right" data-go="prev">
                        <div class="btn btn-primary" style="background: none;"><i class="fa fa-angle-left"></i></div>
                    </a>
                </div>
                <div class="day-headers">
                    <div class="day header">Mo</div>
                    <div class="day header">Tu</div>
                    <div class="day header">W</div>
                    <div class="day header">Th</div>
                    <div class="day header">F</div>
                    <div class="day header">Sa</div>
                    <div class="day header">Su</div>
                </div>
                <div class="days" data-group="days">
                </div>
            </div>
        </div>
        <div class="form-group">
            <label>Availability Notes<br><br>
            {{$booking->createdBy->pharmacist->availability_notes}}</label>
        </div>
        <div class="form-group sp2">
            <label>Request Notes<br><br>
            {{$booking->notes}}</label>
        </div>
        <div class="sign-footer">
            <div class="form-group">
                <label>
                    <span class="ins">
                        <img src="{{  asset('front/images/check-icon.png')}}"> {{$booking->createdBy->pharmacist->is_pharmacist ? ($booking->createdBy->pharmacist->is_pharmacist == 2 ? 'Technician' : 'Pharmacist') : ''}}
                    </span>
                    @if ($booking->createdBy->pharmacist->annual_practicing_certificate)
                    <span class="ins">
                        <img src="{{  asset('front/images/check-icon.png')}}"> Annual Practicing Certificate
                    </span>
                    @endif
                </label>
            </div>
            @if ($booking->createdBy->pharmacist->is_pharmacist == 1)
                <div class="form-group">
                    <label>Skills</label>
                    <ul class="v-list">
                        @foreach($booking->createdBy->pharmacistSkill as $pharmacistSkill)
                            <li><span class="ins"><img src="{{  asset('front/images/check-icon.png')}}">{{$pharmacistSkill->skill->name}}</span></li>
                        @endforeach
                    </ul>
                </div>
            @endif
            @if ($booking->createdBy->pharmacist->is_pharmacist == 2)
                <div class="form-group">
                    <label>Levels</label>
                    <ul class="v-list">
                        <li><span class="ins"><img src="{{  asset('front/images/check-icon.png')}}">{{$booking->createdBy->pharmacist->level->name}}</span></li>
                    </ul>
                </div>
            @endif
            <div class="form-group">
                <label>Area for work:</label>
                <ul class="v-list">
                    @foreach($booking->createdBy->pharmacistRegion as $pharmacistRegion)
                        <li><span class="ins"><img src="{{  asset('front/images/check-icon.png')}}">{{$pharmacistRegion->region->name}}</span></li>
                    @endforeach
                </ul>
            </div>
            <div class="form-group">
                <a href="javascript:;" class="submit-btn d2 accept">Accept application</a>
                <a href="javascript:;" class="edit-button d1 decline" style="min-width:unset;">Decline Application</a>
            </div>
        </div>
    </form>
    <div class="btm-iconbar">
        @include('front.pharmacy-menu')
    </div>
</div>
@endsection
@section('script')
<script type="text/javascript">
    $(".accept").click(function(){
        redirectUrl = "{{ route('booking.change-status', ['id' => $booking->id, 'status' => '1']) }}";
        window.location.href = redirectUrl;
    });

    $(".decline").click(function(){
        redirectUrl = "{{ route('booking.change-status', ['id' => $booking->id, 'status' => '2']) }}";
        window.location.href = redirectUrl;
    });

    $(".responsive-calendar").responsiveCalendar({
        events: {
            @foreach($booking->date as $date)
                "{{$date}}" : {'class' : "date-green", 'title' : "{{$booking->createdBy->pharmacist->is_pharmacist ? ($booking->createdBy->pharmacist->is_pharmacist == 2 ? 'Technician' : 'Pharmacist') : ''}}" },
            @endforeach
        }
    });

    $(document).ready(function() {
      $('.owl-carousel').owlCarousel({
        loop: true,
         items:1,
         nav:true,
        margin:0,
        responsiveClass: true,
      })
    })

</script>
@endsection
