@extends('front.layouts.app')

@section('title') Welcome to  @endsection
@section('head')
  <style type="text/css">
    .error {
      color: red;
    }
    .sp-btn:hover {
      color: #313484 !important;
      background: #fff !important;
    }
  </style>
@endsection
@section('content')
    <div class="signup-form th" style="margin-top:0;">
           <div class="form-group"><a href="{{route('profile.dashboard')}}" class="closebtn">&times;</a></div>
           <h1>Add Location</h1>
           <form id="quickForm" method="post">
                @csrf
                <input type="hidden" name="user_id" value="{{auth()->user()->id}}">
              <div class="form-group">
                 <input type="text" required name="pharmacy_name" placeholder="Pharmacy Name">
              </div>
              <div class="form-group">
                 <input type="text" required name="address"  placeholder="Address">
              </div>
              <div class="form-group">
                 <div class="select-wrapper">
                    <select  name="region_id">
                       <option value=""> Select Areas for work</option>
                       @foreach($region as $value)
                        <option value="{{$value->id}}">{{$value->name}}</option>
                       @endforeach
                    </select>
                 </div>
              </div>
              <div class="form-group">
                 <input type="text" required name="owner_name"  placeholder="Owner's Name">
              </div>
              <div class="form-group">
                 <input type="text" required name="contact_phone"  placeholder="Contact Phone">
              </div>
              <div class="form-group">
                 <input type="text" required name="email"  placeholder="Contact Email">
              </div>
              <div class="form-group ch">
                  <label>Uploads</label>
                  <label>License
                  <input type="file" name="uploads_license">
                  </label>
                  {{--
                  <label>
                      Shop Photo
                      <div class="help-tip">
                          <p>Lorem ipsum dolor sit amet</p>
                      </div>
                      <input type="file" name="uploads_shop_photo">
                  </label>
                  --}}
              </div>
              <div class="sign-footer">
                <div class="form-group ch">
                    <label>I agree to the following:</label>
                    <label class="checkbox" for="privacy_policy"><a href="{{route('privacy-policy')}}" target="_blank">Privacy Policy</a>
                    <input type="checkbox" id="privacy_policy" checked>
                    <span class="checkmark"></span>
                    </label>
                    <label class="checkbox" for="terms_and_conditions"><a href="{{route('terms-and-conditions')}}" target="_blank">Terms and Conditions</a>
                    <input type="checkbox" id="terms_and_conditions" checked>
                    <span class="checkmark"></span>
                    </label>
                    {{--
                    <label class="checkbox" for="cancellation_policy"><a href="#" target="_blank">Cancellation Policy</a>
                    <input type="checkbox" id="cancellation_policy" checked>
                    <span class="checkmark"></span>
                    </label>
                    --}}
                </div>
                <div class="form-group">
                    <input type="submit" value="Save and complete later" class="sp-btn" style="background : unset;">
                </div>
                <div class="form-group"><input type="submit" value="Submit" class="submit-btn"></div>
              </div>
           </form>
        </div>
@endsection


@section('script')
<script src="{{ asset('admin/plugins/jquery-validation/jquery.validate.min.js') }}"></script>
<script type="text/javascript">
    $(".responsive-calendar").responsiveCalendar({
        onDayClick : function() {
            $(".responsive-calendar").data("calendar").clearAll();
            $(this).parent('.day').addClass("active");
            $("#dates").val($(this).data("year")+"-"+$(this).data("month")+"-"+$(this).data("day"));
        },
    });
    $.validator.setDefaults({
    submitHandler: function () {
        if($("#privacy_policy").prop("checked") == false){
            alert("Please privacy policy read & check");
            return false;
        }
        if($("#terms_and_conditions").prop("checked") == false){
            alert("Please terms and conditions read & check");
            return false;
        }
        {{--
        if($("#cancellation_policy").prop("checked") == false){
            alert("Please cancellation policy read & check");
            return false;
        }
        --}}
        showLoader();
        var formData = new FormData($("#quickForm")[0]);
        $.ajax({
            type: "POST",
            url: "{{ route('pharmacy.add-location.save') }}",
            data: formData,
            processData: false,
            contentType: false,
            success: function( res ) {
                if (res.code == 200 || res.code == 0) {
                    msg = res.msg;
                    showToaster("success", msg);
                    setTimeout( function(){
                        redirectUrl = "{{ route('pharmacy.switchbaord') }}";
                        window.location.href = redirectUrl;
                    }  , 1000 );

                } else {
                    showToaster("error", res.msg);
                }
                hideLoader();
            }
        });
    }
  });
  $('#quickForm').validate({
    rules: {
      region_id: { required: true },
      pharmacy_name: { required: true },
      address: { required: true },
      owner_name: { required: true },
      contact_phone: { required: true },
      email: { required: true }
    },
    errorElement: 'span',
    errorPlacement: function (error, element) {
      error.addClass('invalid-feedback');
      element.closest('.form-group').append(error);
    },
    highlight: function (element, errorClass, validClass) {
      $(element).addClass('is-invalid');
    },
    unhighlight: function (element, errorClass, validClass) {
      $(element).removeClass('is-invalid');
    }
  });
</script>
@endsection
