@extends('front.layouts.app')

@section('title') Welcome to  @endsection
@section('head')
  <style type="text/css">
    .error {
      color: red;
    }
    .sp-btn:hover {
      color: #313484 !important;
      background: #fff !important;
    }
  </style>
@endsection
@section('content')
    <div class="signup-form" style="margin-top:0;">
  <h1>Edit {{$user->pharmacy->pharmacy_name}}</h1>
  <form id="quickForm" method="post">
    @csrf
    <input type="hidden" name="action" value="update">
    <input type="hidden" name="id" value="{{$user->id}}">
    <div class="form-group">
      <input type="text" required placeholder="Pharmacy Name" name="pharmacy_name" value="{{$user->pharmacy->pharmacy_name}}">
      <div class="edit-icon"><img src="{{  asset('front/images/eidt-icon.png')}}"></div>
    </div>
    <div class="form-group">
      <input type="text" required placeholder="Address" name="address" value="{{$user->pharmacy->address}}">
      <div class="edit-icon"><img src="{{  asset('front/images/eidt-icon.png')}}"></div>
    </div>
    <div class="form-group">
         <div class="select-wrapper">
            <select  name="region_id">
               <option value=""> Select Areas for work</option>
               @foreach($region as $value)
                <option value="{{$value->id}}" {{$value->id == $user->pharmacy->region_id ? 'selected' : ''}}>{{$value->name}}</option>
               @endforeach
            </select>
         </div>
    </div>
    <div class="form-group">
      <input type="text" required placeholder="Owner's Name" name="owner_name" value="{{$user->pharmacy->owner_name}}">
      <div class="edit-icon"><img src="{{  asset('front/images/eidt-icon.png')}}"></div>
    </div>
    <div class="form-group">
      <input type="text" required placeholder="Contact Phone" name="contact_phone" value="{{$user->pharmacy->contact_phone}}">
      <div class="edit-icon"><img src="{{  asset('front/images/eidt-icon.png')}}"></div>
    </div>
    <div class="form-group">
      <input type="text" required placeholder="Contact Email" name="email" value="{{$user->pharmacy->email}}">
      <div class="edit-icon"><img src="{{  asset('front/images/eidt-icon.png')}}"></div>
    </div>
    <div class="form-group ch1">

    </div>
    <div class="form-group ch">
        <h3>Uploads</h3>
        <label class="upload-file" style="padding-top: 0px;">License <br>
        {!! fileShow('/uploads/pharmacy/uploads_license/', $user->pharmacy->uploads_license) !!}
        <input type="file" name="uploads_license">
        </label>
        {{--
        <label class="upload-file"  style="padding-top: 0px;">
            Shop Photo
            <div class="help-tip">
                <p>Lorem ipsum dolor sit amet</p>
            </div> <br>
            <img src="{{asset('/uploads/pharmacy/uploads_shop_photo/'.$user->pharmacy->uploads_shop_photo)}}" width="30%">
            <input type="file" name="uploads_shop_photo">
        </label>
        --}}
    </div>
    <div class="form-group blue-sl">
      <div class="owl-carousel owl-theme">
        <div class="item">
          {!! fileShow('/uploads/pharmacy/uploads_license/', auth()->user()->pharmacy->uploads_license) !!}
        </div>
        {{--
        <div class="item">
          <img src="{{  asset('/uploads/pharmacy/uploads_shop_photo/'.$user->pharmacy->uploads_shop_photo)}}">
        </div>
        --}}
      </div>
    </div>
    <div class="form-group"><input type="submit" value="Save" class="add-btn sv-btn"></div>
    @if (auth()->user()->pharmacyLocation()->count() > 1)
        <div class="form-group"><div class="lost-pass"><a href="javascript:;" onclick="deleteData()">Delete {{$user->pharmacy->pharmacy_name}}</a></div></div>
    @endif
  </form>
</div>
@endsection


@section('script')
<script src="{{ asset('admin/plugins/jquery-validation/jquery.validate.min.js') }}"></script>
<script type="text/javascript">

  $('#quickForm').submit(function(e) {
    e.preventDefault();
    showLoader();
    var formData = new FormData($("#quickForm")[0]);
    $.ajax({
        type: "POST",
        url: "{{ route('pharmacy.registration.store') }}",
        data: formData,
        processData: false,
        contentType: false,
        success: function( res ) {
            if (res.code == 200 || res.code == 0) {
                msg = res.msg;
                showToaster("success", msg);
                setTimeout( function(){
                    redirectUrl = "{{ route('pharmacy.dashboard') }}";
                    window.location.href = redirectUrl;
                }  , 1000 );

            } else {
                showToaster("error", res.msg);
            }
            hideLoader();
        }
    });
  });

    $(document).ready(function() {
              $('.owl-carousel').owlCarousel({
                loop: true,
                 items:1,
                 nav:true,
                margin:0,
                responsiveClass: true,
              })
            })

    function deleteData() {
        if (confirm("are you sure want to delete?")) {
            var url = "{{ route('pharmacy.destroy')}}"
            showLoader();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': '{{csrf_token()}}'
                }
            });
            $.ajax({
                type: "post",
                url: url,
                success: function( res ) {
                    if (res.code == 200 || res.code == 0) {
                        msg = res.msg;
                        showToaster("success", msg);
                        window.location.href = "/";
                    } else {
                        showToaster("error", res.msg);
                    }
                    hideLoader();
                }
            });
        }
    }
</script>
@endsection
