@extends('front.layouts.app')

@section('title') Welcome to  @endsection
@section('head')
  <style type="text/css">
    .error {
      color: red;
    }
    .sp-btn:hover {
      color: #313484 !important;
      background: #fff !important;
    }
  </style>
@endsection
@section('content')
    <div class="signup-form">
        <h1>Pharmacy<br>Registration</h1>
        <form id="quickForm" method="post">
            @csrf
            <input type="hidden" name="action" value="add">
              <input type="hidden" name="id" value="{{$user->id}}">
              <div class="form-group">
                 <input type="text"  placeholder="User Name" value="{{$user->username}}" readonly>
              </div>
              <div class="form-group">
                 <input type="password"  placeholder="Password" value="********" readonly>
              </div>
            <div class="form-group">
                <div class="divider"></div>
                <input type="text" name="pharmacy_name" value="{{$user->pharmacy->pharmacy_name}}" placeholder="Pharmacy Name" required>
            </div>
            <div class="form-group">
                <input type="text" name="address" value="{{$user->pharmacy->address}}" placeholder="Address" required>
            </div>
            <div class="form-group">
                 <div class="select-wrapper">
                    <select  name="region_id" required>
                       <option value="">Select Areas for work</option>
                       @foreach($region as $value)
                        <option value="{{$value->id}}">{{$value->name}}</option>
                       @endforeach
                    </select>
                 </div>
            </div>
            <div class="form-group">
                <input type="text" name="owner_name" placeholder="Owner's Name" value="{{$user->pharmacy->owner_name}}" required>
            </div>
            <div class="form-group">
                <input type="text" name="contact_phone" placeholder="Contact Phone" value="{{$user->pharmacy->contact_phone}}" required>
            </div>
            <div class="form-group">
                <input type="text" name="email" placeholder="Contact Email" value="{{$user->email}}" required>
            </div>

            <div class="form-group ch">
                <h3>Uploads</h3>
               <label class="upload-file">License
                <input type="file" name="uploads_license">
                <span>Choose File</span>
                </label>
                 {{--
                <label class="upload-file">
                    Shop Photo
                    <div class="help-tip">
                        <p>Lorem ipsum dolor sit amet</p>
                    </div>
                    <input type="file" name="uploads_shop_photo">
                    <span>Choose File</span>
                </label>
                --}}
            </div>
            <div class="sign-footer">
                <div class="form-group ch">
                    <label>I agree to the following:</label>
                    <label class="checkbox" for="privacy_policy"><a href="{{route('privacy-policy')}}" target="_blank">Privacy Policy</a>
                    <input type="checkbox" id="privacy_policy" checked>
                    <span class="checkmark"></span>
                    </label>
                    <label class="checkbox" for="terms_and_conditions"><a href="{{route('terms-and-conditions')}}" target="_blank">Terms and Conditions</a>
                    <input type="checkbox" id="terms_and_conditions" checked>
                    <span class="checkmark"></span>
                    </label>
                    {{-- <label class="checkbox" for="cancellation_policy"><a href="{{route('cancellation-policy')}}" target="_blank">Cancellation Policy</a>
                                                            <input type="checkbox" id="cancellation_policy" checked>
                                                            <span class="checkmark"></span>
                                                            </label> --}}
                </div>
                <div class="form-group">
                  <a href="javascript:;" class="sp-btn save_and_complete_later">Save and complete later</a>
                 </div>
                 <div class="form-group">
                      <input type="submit" name="submit" value="Submit" class="submit-btn" style="display: inline-block;">
                      <a class="submit-btn" href="{{ route('logout') }}" style="display: inline-block;">{{ __('Logout') }}</a>
                  </div>
            </div>
        </form>
    </div>
@endsection


@section('script')
<script src="{{ asset('admin/plugins/jquery-validation/jquery.validate.min.js') }}"></script>
<script type="text/javascript">
    function submitForm(is_submit) {
      showLoader();
        var formData = new FormData($("#quickForm")[0]);
        $.ajax({
            type: "POST",
            url: "{{ route('pharmacy.registration.store') }}",
            data: formData,
            processData: false,
            contentType: false,
            success: function( res ) {
                if (res.code == 200 || res.code == 0) {
                    msg = res.msg;
                    showToaster("success", msg);
                    if (is_submit) {
                      setTimeout( function(){
                          redirectUrl = "{{ route('thanks-for-registering') }}";
                          window.location.href = redirectUrl;
                      }  , 1000 );
                    }
                } else {
                    showToaster("error", res.msg);
                }
                hideLoader();
            }
        });
    }
    $(".save_and_complete_later").click(function(){
      submitForm();
    });
    $.validator.setDefaults({
    submitHandler: function () {
        if($("#privacy_policy").prop("checked") == false){
            alert("Please privacy policy read & check");
            return false;
        }
        if($("#terms_and_conditions").prop("checked") == false){
            alert("Please terms and conditions read & check");
            return false;
        }
        {{-- if($("#cancellation_policy").prop("checked") == false){
                            alert("Please cancellation policy read & check");
                            return false;
                        } --}}
        submitForm(true);
    }
  });
  $('#quickForm').validate({
    errorElement: 'span',
    errorPlacement: function (error, element) {
      error.addClass('invalid-feedback');
      if (element.closest('.select-wrapper').length) {
          element.closest('.select-wrapper').append(error);
      } else {
          element.after(error);
      }
    },
    highlight: function (element, errorClass, validClass) {
      $(element).addClass('is-invalid');
    },
    unhighlight: function (element, errorClass, validClass) {
      $(element).removeClass('is-invalid');
    }
  });
</script>
@endsection
