@extends('front.layouts.app')

@section('title') Welcome to  @endsection
@section('head')
@endsection
@section('content')
<div class="job-list">
    <div class="signup-form" style="padding-bottom:0px; margin-bottom:0px;">
        <div class="form-group">
            <h1 class="w-heading">Profiles</h1>
        </div>
        <div class="form-group">
            <div class="select-wrapper">
                <select class="short-by">
                    <option value="new">New to Old</option>
                    <option value="old" {{$sorted == "old" ? "selected" : ''}}>Old to New</option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <h3>Pharmacists</h3>
            <ul class="job-list">
                @foreach($pharmacist as $pharm)
                    <li>
                        <span>
                            {{$pharm->firstname}} {{$pharm->lastname}},<br>
                            {{$pharm->pharmacist->known_as}} - {{$pharm->pharmacist->is_pharmacist ? ($pharm->pharmacist->is_pharmacist == 2 ? 'Technician' : 'Pharmacist') : ''}},<br>
                            {{$pharm->pharmacist->location}}
                        </span>
                        <a href="{{route('pharmacy.pharmacist', $pharm->id)}}" class="add-btn fr">View</a>
                    </li>
                @endforeach
            </ul>
            {{ $pharmacist->links() }}
        </div>
        <div class="btm-iconbar  sp-ir">
            @include('front.pharmacy-menu')
        </div>
    </div>
</div>
@endsection
@section('script')
<script type="text/javascript">
    $(".short-by").change(function(){
        redirectUrl = "{{ route('pharmacy.search') }}/";
        redirectUrl += $(this).val();
        window.location.href = redirectUrl;
    });
</script>
@endsection
